%define pygtk2_version 2.5.3
%define gnome_python2_version 2.6.0

Name:    sabayon
Version: 2.12.4
Release: %mkrel 2
Summary: Tool to maintain user profiles in a GNOME desktop

Group:   System/Configuration/Other
License: GPL
URL:     http://www.gnome.org/projects/sabayon
Source0: http://ftp.gnome.org/pub/GNOME/sources/sabayon/sabayon-%{version}.tar.bz2
Patch: sabayon-2.12.3-pam.patch.bz2
# (fc) 2.12.1-3mdk source xinit file
Patch1:  sabayon-2.12.1-source.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-gamin
Requires: python-libxml2
Requires: python-ldap
Requires: GConf2 > 2.14.0-1mdk

BuildRequires: pygtk2.0-devel
BuildRequires: gtk+2-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: usermode
BuildRequires: xorg-x11-Xnest
BuildRequires: perl-XML-Parser

%description
Sabayon is a tool to help sysadmins and user change and maintain the
default behaviour of the GNOME desktop.

%package  admin
Summary:  Graphical tools for Sabayon profile management
Group:    System/Configuration/Other
Requires: %{name} = %{version}
Requires(pre):  rpm-helper
Requires(pre): usermode-consoleonly
Requires(post): gtk+2.0
Requires(postun): gtk+2.0
Requires: xorg-x11-Xnest
Requires: pygtk2.0 >= %{pygtk2_version}
Requires: gnome-python-gconf >= %{gnome_python2_version}

%description admin
The sabayon-admin package contains the graphical tools which a
sysadmin should use to manage Sabayon profiles.

%prep
%setup -q
%patch -p1
%patch1 -p1 -b .source

bzip2 -9 ChangeLog
 
%build
%configure2_5x 	\
	--enable-consolehelper=yes		\
	 --with-prototype-user=%{name}-admin
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PAM_PREFIX=$RPM_BUILD_ROOT%{_sysconfdir}

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --remove-category SystemSetup \
  --remove-category Application \
  --add-category "Settings;DesktopSettings" \
  --add-category X-MandrivaLinux-System-Configuration-GNOME \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang sabayon

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name-admin << EOF
?package(%name-admin): \
command="%_bindir/sabayon" \
needs="gnome" \
icon="sabayon.png" \
section="System/Configuration/GNOME" \
title="User Profile Editor" \
longtitle="Establish and Edit Profiles for Users" \
startup_notify="true" xdg="true"
EOF

#gw wrong dir 
%if %_lib != lib
mkdir -p %buildroot%py_platsitedir/%name
mv %buildroot%py_puresitedir/%name/xlib.* %buildroot%py_platsitedir/%name
%endif
# We don't want these
rm -f %buildroot%py_platsitedir/%{name}/xlib.*a

%clean
rm -rf $RPM_BUILD_ROOT

%pre admin
%_pre_useradd %name-admin /var/lib/ /sbin/nologin
/usr/sbin/usermod -d "" %{name}-admin &>/dev/null || :

%post admin
%update_menus
%update_icon_cache hicolor

%postun admin
%clean_menus
%clean_icon_cache hicolor

%files -f sabayon.lang
%defattr(-, root, root, 755)

%doc AUTHORS ChangeLog.bz2 NEWS README TODO ISSUES

%config(noreplace) %{_sysconfdir}/X11/xinit.d/%{name}*

%{_sysconfdir}/desktop-profiles

%{_sbindir}/%{name}-apply

%dir %py_puresitedir/%{name}/
%py_puresitedir/%{name}/__init__.py*
%py_puresitedir/%{name}/config.py*
%py_puresitedir/%{name}/cache.py*
%py_puresitedir/%{name}/dirmonitor.py*
%py_puresitedir/%{name}/mozilla_bookmarks.py*
%py_puresitedir/%{name}/storage.py*
%py_puresitedir/%{name}/userdb.py*
%py_puresitedir/%{name}/userprofile.py*
%py_puresitedir/%{name}/util.py*
%py_puresitedir/%{name}/sources/*.py*

%files admin
%doc doc/index.html doc/testing.html doc/helping.html doc/developing.html
%doc doc/sabayon.css doc/*.jpg doc/*.gif

%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_libexecdir}/%{name}*

%{_datadir}/%{name}/glade/%{name}.glade
%{_datadir}/%{name}/glade/pessulus.glade
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%py_platsitedir/%{name}/xlib.so

%py_puresitedir/%{name}/aboutdialog.py*
%py_puresitedir/%{name}/changeswindow.py*
%py_puresitedir/%{name}/editorwindow.py*
%py_puresitedir/%{name}/fileviewer.py*
%py_puresitedir/%{name}/gconfviewer.py*
%py_puresitedir/%{name}/profilesdialog.py*
%py_puresitedir/%{name}/protosession.py*
%py_puresitedir/%{name}/saveconfirm.py*
%py_puresitedir/%{name}/sessionwidget.py*
%py_puresitedir/%{name}/sessionwindow.py*
%py_puresitedir/%{name}/usermod.py*
%py_puresitedir/%{name}/usersdialog.py*
%py_puresitedir/%{name}/lockdown*
%_menudir/%name-admin

%changelog
* Thu Aug 17 2006 Gtz Waschk <waschk@mandriva.org> 2.12.4-2mdv2007.0
- remove local.defaults/mandatory files, now in GConf2

* Fri Jul 28 2006 Götz Waschk <waschk@mandriva.org> 2.12.4-1mdv2007.0
- New release 2.12.4

* Wed Jul  5 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-4mdv2007.0
- fix pam configuration
- fix menu

* Thu Feb  2 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-3mdk
- fix python dirs

* Wed Feb  1 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- fix buildrequires

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Add requires on python-ldap

* Thu Nov 17 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- drop merged patch 0
- New release 2.12.2

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Patch1: source xinit file

* Tue Nov 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Patch0: fix mandriva distribution detection
- Force icon cache generation 
- Fix menu entry

* Mon Nov  7 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- update file list
- New release 2.12.1

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Tue Aug  2 2005 Gtz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- no noarch
- build and installation fixes
- New release 2.11.90

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.18-2mdk
- add menu entry

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.18-1mdk
- initial mdk package

* Wed May 18 2005 Mark McLoughlin <markmc@redhat.com> - 0.18-1
- Update to 0.18

* Thu Mar 24 2005 Mark McLoughlin <markmc@redhat.com> - 0.17-1
- Update to 0.17
- Pass --with-prototype-user=sabayon-admin to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-8
- Add BuildRequires: usermode and pass --enable-consolehelper=yes
  to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-7
- Move Xnest and shadow-utils requires to sabayon-admin
- Require libxml2-python

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-6
- Make noarch

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-5
- Add dirmonitor.py to base package

* Sun Mar 20 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-4
- Split the package into sabayon and sabayon-admin
- BuildRequires: gettext instead of gettext-devel

* Sat Mar 19 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-3
- Remove period at the end of the summary
- Specify full URL for source
- BuildRequires: python 
- Use %{_sysconfdir} everywhere
- Set the directory mode

* Fri Mar 18 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-2
- BuildRequires: gettext-devel
- Add X-Fedora-Extra to .desktop file

* Wed Mar 16 2005 Mark McLoughlin <markmc@redhat.com>
- Various changes to bring in line with Fedora package guidelines

* Wed Feb  9 2005 Daniel Veillard <veillard@redhat.com>
- initial version
